cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/users \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/chat/users"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/chat/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>"
}
],
"meta": {
"nextToken": "<string>"
}
}{
"users": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>"
}
],
"meta": {
"nextToken": "<string>"
}
}listUsers
GET
/
v1
/
chat
/
users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Query Parameters
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Filter by conversation id. This will return all users that have participated in the conversation.
Filter by tags
Show child attributes
Show child attributes
Was this page helpful?
⌘I